Fingerprint_Card

Loading...
Searching...
No Matches
ICSharpCode.SharpZipLib.Checksums.StrangeCRC Class Reference

Bzip2 checksum algorithm. More...

Inheritance diagram for ICSharpCode.SharpZipLib.Checksums.StrangeCRC:
[legend]
Collaboration diagram for ICSharpCode.SharpZipLib.Checksums.StrangeCRC:
[legend]

## Public Member Functions
| StrangeCRC ()
| Initialise a default instance of StrangeCRC
void | Reset ()
| Reset the state of Crc.
void | Update (int value)
| Update the Crc value.
void | Update (byte[] buffer)
| Update Crc based on a block of data.
void | Update (byte[] buffer, int offset, int count)
| Update Crc based on a portion of a block of data.

## Properties
long | Value`[get]`
| Get the current Crc value.

## Private Attributes
int | globalCrc

## Static Private Attributes
static readonly uint[] | crc32Table

## Detailed Description

Bzip2 checksum algorithm.

## Constructor & Destructor Documentation

## ◆ StrangeCRC()

ICSharpCode.SharpZipLib.Checksums.StrangeCRC.StrangeCRC | ( |  | ) |

Initialise a default instance of StrangeCRC

Here is the call graph for this function:

## Member Function Documentation

## ◆ Reset()

void ICSharpCode.SharpZipLib.Checksums.StrangeCRC.Reset | ( |  | ) |

Reset the state of Crc.

Implements ICSharpCode.SharpZipLib.Checksums.IChecksum.

Here is the caller graph for this function:

## ◆ Update() [1/3]

void ICSharpCode.SharpZipLib.Checksums.StrangeCRC.Update | ( | byte[] | buffer | ) |

Update Crc based on a block of data.

Parameters

  buffer | The buffer containing data to update the crc with.

Implements ICSharpCode.SharpZipLib.Checksums.IChecksum.

Here is the call graph for this function:

## ◆ Update() [2/3]

void ICSharpCode.SharpZipLib.Checksums.StrangeCRC.Update | ( | byte[] | buffer,
|  | int | offset,
|  | int | count )

Update Crc based on a portion of a block of data.

Parameters

  buffer | block of data
  offset | index of first byte to use
  count | number of bytes to use

Implements ICSharpCode.SharpZipLib.Checksums.IChecksum.

Here is the call graph for this function:

## ◆ Update() [3/3]

void ICSharpCode.SharpZipLib.Checksums.StrangeCRC.Update | ( | int | value | ) |

Update the Crc value.

Parameters

  value | data update is based on

Implements ICSharpCode.SharpZipLib.Checksums.IChecksum.

Here is the caller graph for this function:

## Member Data Documentation

## ◆ crc32Table

readonly uint [] ICSharpCode.SharpZipLib.Checksums.StrangeCRC.crc32Table
| static private

## ◆ globalCrc

int ICSharpCode.SharpZipLib.Checksums.StrangeCRC.globalCrc
| private

## Property Documentation

## ◆ Value

long ICSharpCode.SharpZipLib.Checksums.StrangeCRC.Value
| get

Get the current Crc value.

Implements ICSharpCode.SharpZipLib.Checksums.IChecksum.

The documentation for this class was generated from the following file:

- ICSharpCode.SharpZLib/Checksums/StrangeCRC.cs